/*This SQL script uses the Demo database.

  This sample illustrates use of TRANSACTIONS via SQL. Notice
  that NDb supports transactions as class methods so you might
  find it better to use another way. This SQL script contains 14 
  queries. Table "MyTable" is  deleted, then recreated and filled
  with data. A transaction is started, data is inserted, then this
  last action is cancelled. Another transaction is started. data
  is inserted, then changes are comitted. At last you can see what
  data is contained in the table after all queries.*/

drop table MyTable;
create table MyTable (ID AutoInc, val1 Integer, val2 varchar(10));
insert into MyTable (val1, val2) values (2,'Start');

start transaction;
insert into MyTable (val1, val2) values (4,'Rollback');
rollback;

start transaction;
insert into MyTable (val1, val2) values (5,'Commit');
commit;

select * from MyTable;
